BEGIN ~LHBAR1N~

IF ~Global("BarnTalk","GLOBAL",0)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 8
END

IF ~Global("BarnTalk","GLOBAL",1)~ THEN BEGIN 7
  SAY @2
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8
  SAY @3
  IF ~~ THEN REPLY @4 GOTO 9
END

IF ~~ THEN BEGIN 9
  SAY @5
  IF ~~ THEN REPLY @6 GOTO 10
END

IF ~~ THEN BEGIN 10
  SAY @7
  IF ~~ THEN REPLY @8 GOTO 11
END

IF ~~ THEN BEGIN 11
  SAY @9
  IF ~~ THEN REPLY @10 GOTO 12
END

IF ~~ THEN BEGIN 12
  SAY @11
  IF ~~ THEN REPLY @12 GOTO 13
END

IF ~~ THEN BEGIN 13
  SAY @13
  IF ~~ THEN REPLY @14 DO ~SetGlobal("BarnTalk","GLOBAL",1)
GiveItemCreate("lhMIS0b",Player1,1,1,1)
GiveItemCreate("lhMIS0c",Player1,1,1,1)
AddJournalEntry(99999,4)
AddJournalEntry(99998,1)~ EXIT
END
